#include <iostream>
#include <cmath>
 
using namespace std;
 
 int brojcifara(int y)
{
    if (y == 0)
        return 1;
    int count = 0;
    while (y != 0) {
        y = y / 10;
        ++count;
    }
    return count;
}
 
int main() {
    int a, b;
    int ponavljanja;
    cin >> a;
    cin >> b;
    int y=0;
    
    if (b>=a) ponavljanja = brojcifara(b);
 else ponavljanja = brojcifara(a);
    int randomnum = 0;
    int niz[10000];
    int p=1;
 
    for (int i = ponavljanja; i >= 1 ; i--)
    {
    	randomnum++;
        if (a % 10>b % 10) {
		niz[p]=a % 10;
		p++;
	}
        else 
		if (a % 10<b % 10) {
		niz[p]=b % 10;
		p++;
    }
		else 
		if ((a>0) && (b>0)){
		niz[p]=a % 10; 
		p++;
		niz[p]=b % 10;
		p++;
	}
        else 
		if ((b>0) && (a==0)){
		niz[p]=b % 10;
    	p++;
	}
		else {
			niz[p]=a % 10;
			p++;
		}
        a/=10; 
        b/=10; 
    }
    p--;
    for (int j = p; j >= 1; j--) {
            cout << niz[j];
            if(y==1){
            	cout << y;
			}
}
 
    return 0;
}